Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class AttrSetValException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ValidationException
                                    |
                                    +--oracle.jbo.AttrValException
                                          |
                                          +--oracle.jbo.AttrSetValException

public class AttrSetValException
extends AttrValException

Indicates n failed attempt to set an attribute value. This class may be extended to provide localizable exceptions to arbitrary bundle classes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`AttrSetValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, java.lang.String attrName, java.lang.Object newValue)` Creates a localizable exception for an object.
`AttrSetValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, java.lang.String attrName, java.lang.Object newValue, java.lang.String methodName)` Creates a localizable exception for an object.

Methods inherited from class oracle.jbo.AttrValException
`getAttrName, getObjName, getObjType, getObjTypeName`

Methods inherited from class oracle.jbo.ValidationException
`raise`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttrSetValException

    public AttrSetValException(int objType,
                               java.lang.Class resBundleClass,
                               java.lang.String errorCode,
                               java.lang.String objName,
                               java.lang.String attrName,
                               java.lang.Object newValue)

  Creates a localizable exception for an object. Some message parameters can also be accessed through 'get' methods.
  Parameters:
    `objType` - the type of the object, the first message parameter.
    `resBundleClass` - a resource bundle.
    `errorCode` - an error or message code.
    `objName` - the name of the object, the second message parameter.
    `attrName` - the name of the attribute, the third message parameter.
    `newValue` - the rejected new value, the fourth message parameter.

### AttrSetValException

    public AttrSetValException(int objType,
                               java.lang.Class resBundleClass,
                               java.lang.String errorCode,
                               java.lang.String objName,
                               java.lang.String attrName,
                               java.lang.Object newValue,
                               java.lang.String methodName)

  Creates a localizable exception for an object. Some message parameters can also be accessed through 'get' methods.
  Parameters:
    `objType` - the type of the object, the first message parameter.
    `resBundleClass` - a resource bundle.
    `errorCode` - an error or message code.
    `objName` - the name of the object, the second message parameter.
    `attrName` - the name of the attribute, the third message parameter.
    `newValue` - the rejected new value, the fourth message parameter.
    `methodName` - the method that failed, the fifth message parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD